@import url('https://fonts.googleapis.com/css?family=Teko&display=swap');

* {
	margin: 0;
	padding: 0;
	scroll-behavior: smooth;
}

body {
	font-family: 'Teko';
	font-size: 50px;

	.fa-chevron-up {
		position: fixed;
		z-index: 2;
		bottom: 40px;
		right: 20px;
		text-decoration: none;
		background: orange;
		color: #fff;
		font-size: 30px;
		width: 50px;
		height: 50px;
		border-radius: 50%;
		display: grid;
		align-content: center;
		justify-content: center;
		box-shadow: 0 4px 4px rgba(0,0,0,.5);
		transition: .5s;

		&:hover {
			cursor: pointer;
			background: #444;
			color: orange;
		}
	}

	h1 {
		font-size: 40px;
		color: #BB0000;
		text-transform: uppercase;
		display: grid;
		grid-template-columns: repeat(2, auto);
		align-items: center;
		justify-content: start;
		grid-gap: 10px;

		&:before {
			display: inline-block;
			content: '';
			width: 5px;
			height: 40px;
			background: #00EF18;
		}
	}

	h2 {
		font-size: 80px;
		color: #0058AA;
		display: none;
		line-height: 1.2;

		@media(min-width: 500px) {
			display: block;
		}
	}

	a.link {
		position: relative;
		text-decoration: none;
		font-size: 50px;
		color: #bb0000;
		display: inline-block;
		
		&:after {
			content: '';
			display: inline-block;
			width: 20px;
			height: 5px;
			background: #00EF18;
			position: absolute;
			left: 0;
			bottom: 5px;
			transition: 1s;
		}

		&:hover {
			&:after {
				width: 100%;
			}
		}
	}
}